/*
  Echo Locator
 
  Created by Nico teWinkel, Aug 1, 2013
  Feel free to use and share at your own risk.
  I make no guarantees and take no responsibility for anything :)
  www.mulBerryLand.com
 */

int speakerPin = 9;
int delayAdjustPin = A0;
int toneAdjustPin = A1;

void setup() {
  
  pinMode(speakerPin, OUTPUT);
  pinMode(delayAdjustPin, INPUT);
  pinMode(toneAdjustPin, INPUT);
  
}

void playTone(int tone, int duration) {
  for (long i = 0; i < duration * 1000L; i += tone * 2) {
    digitalWrite(speakerPin, HIGH);
    delayMicroseconds(tone);
    digitalWrite(speakerPin, LOW);
    delayMicroseconds(tone);
  }
}

void loop() {

  int toneInput = analogRead(toneAdjustPin);
  int delayInput = analogRead(delayAdjustPin);
  
  int tone = map(toneInput, 0, 1023, 100, 300);  // maps to output of 100 to 300 hz
  int delayTime = map(delayInput, 0, 1023, 50, 1000); // maps to delay of 50ms to 1second between tones
  
  playTone(tone, 50);
  delay(delayTime);
  
}
